package cz.cvut.kbss.wpa.jdbc;

import cz.cvut.kbss.wpa.jpa.datagen.EmployeeGenerator;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

public class Main {

    private static final String URL = "jdbc:h2:tcp://localhost/~/wpa";
    private static final String USERNAME = "wpa";
    private static final String PASSWORD = "wpa";

    public static void main(String[] args) throws Exception {
        new EmployeeGenerator().generateEmployees(100);
        try (Connection conn = DriverManager.getConnection(URL, USERNAME, PASSWORD)) {
            final Statement stmt = conn.createStatement();
            final ResultSet rs = stmt.executeQuery("SELECT * from Employee");
            System.out.println("---------------------------");
            while (rs.next()) {
                String line = rs.getString("name") + " " + rs.getString("surname");
                System.out.println(line);
            }
            System.out.println("---------------------------");
        }
    }
}
