package cz.cvut.kbss.wpa.jpa;

import cz.cvut.kbss.wpa.jpa.datagen.EmployeeGenerator;
import cz.cvut.kbss.wpa.jpa.model.Employee;
import java.util.List;
import javax.persistence.EntityManager;

public class Main {
    
    public static void main(String [] args) {
        new EmployeeGenerator().generateEmployees(100);
        final EntityManager em = PersistenceFactory.createNewEntityManager();
        final List<Employee> employees = em.createQuery("SELECT e FROM Employee e", Employee.class).getResultList();
        System.out.println("---------------------------");
        System.out.println("We have " + employees.size() + " employees:");
        employees.forEach(e -> System.out.println(e));
        System.out.println("---------------------------");
        
        
        em.close();
    }
}
